<?php

/**
 * @file
 * Non-admin page callbacks.
 */


/**
 * Callback function from hook_menu().
 * The URL will pass in parameters. The 1st should be the ISBN or ASIN. The 2nd should be whether it's an ISBN or ASIN.
 * The 3rd parameter is optional and will indicate if the details being asked for are from an eBooks list
 */
function booklists_detail($type, $code, $delta = NULL, $ebooks = NULL) {
  $item = array('type' => $type, 'code' => $code, 'delta' => $delta, 'ebooks' => $ebooks);
  $content = array();
  $content[] = array(
    '#type' => 'markup',
    '#markup' => theme('booklists_detail', $item),
  );
  return $content;
}